<!DOCTYPE html>
<html lang="en">
    <!--
     * app/templates/default/default.tpl
     *
     * @version 5.0.1
     * @author  Joey Kimsey <Joey@thetempusproject.com>
     * @link    https://TheTempusProject.com
     * @license https://opensource.org/licenses/MIT [MIT LICENSE]
    -->
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <meta property="og:url" content="{CURRENT_URL}">
        <meta name='twitter:card' content='summary_large_image'>
        <title>{TITLE}</title>
        <meta itemprop="name" content="{TITLE}">
        <meta name="twitter:title" content="{TITLE}">
        <meta property="og:title" content="{TITLE}">
        <meta name="description" content="{PAGE_DESCRIPTION}">
        <meta itemprop="description" content="{PAGE_DESCRIPTION}">
        <meta name="twitter:description" content="{PAGE_DESCRIPTION}">
        <meta property="og:description" content="{PAGE_DESCRIPTION}">
        <meta itemprop="image" content="{META_IMAGE}">
        <meta name="twitter:image" content="{META_IMAGE}">
        <meta property="og:image" content="{META_IMAGE}">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        {AUTHOR}
        {ROBOT}
        <link rel="icon" href="{ROOT_URL}images/favicon.ico" sizes="32x32">
        <link rel="apple-touch-icon" href="{ROOT_URL}images/apple-touch-icon.png"><!-- 180×180 -->
        <link rel="manifest" href="{ROOT_URL}manifest.webmanifest">
        <!-- Required CSS -->
        <!-- <link rel="stylesheet" href="{FONT_AWESOME_URL}fontawesome.min.css" crossorigin="anonymous"> -->
    	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.7.1/css/all.min.css" crossorigin="anonymous" referrerpolicy="no-referrer">
        <link rel="stylesheet" href="{BOOTSTRAP_CDN}css/bootstrap.min.css" crossorigin="anonymous">
        <!-- Custom styles for this template -->
        {TEMPLATE_CSS_INCLUDES}
    </head>
    <body>
		<!-- Navigation -->
        <header class="p-3 text-bg-dark">
            <div class="container">
                <div class="d-flex align-items-center position-relative">
                    <!-- Navbar Toggler (Left) -->
        
                    <!-- Centered Logo (Now inside normal document flow) -->
                    <a href="/" class="align-items-center text-white text-decoration-none d-flex d-md-none">
                        <img src="{ROOT_URL}{LOGO}" width="40" height="32" alt="{SITENAME} Logo" class="bi">
                    </a>
        
                    <!-- Logo (Normal Position for Large Screens) -->
                    <a href="/" class="align-items-center text-white text-decoration-none d-none d-md-flex">
                        <img src="{ROOT_URL}{LOGO}" width="40" height="32" alt="{SITENAME} Logo" class="bi">
                    </a>
        
                    <div class="navbar-expand-md flex-grow-1">
                        <div class="collapse navbar-collapse d-md-flex" id="mainMenu">
                            <!-- Centered Navigation -->
                            <div class="d-none d-md-block d-flex justify-content-center position-absolute start-50 translate-middle-x">
                                {topNavLeft}
                            </div>
                            <div class="d-flex justify-content-center flex-grow-1 d-md-none">
                                {topNavLeft}
                            </div>
        
                            <!-- Right-Side Content (Push to End) -->
                            <div class="d-flex flex-row justify-content-center align-items-center mt-3 mt-md-0 ms-md-auto">
                                {topNavRight}
                            </div>
                        </div> <!-- End Collapse -->
                    </div> <!-- End Navbar Expand -->
                    
                    <button class="me-3 d-md-none btn btn-md btn-outline-light" type="button" data-bs-toggle="collapse" data-bs-target="#mainMenu" aria-controls="mainMenu" aria-expanded="false" aria-label="Toggle navigation">
                        <i class="fa fa-bars"></i>
                    </button>
                </div>
            </div>
        </header>
        
        <div class="d-flex flex-column min-vh-100">
            <div class="flex-container flex-grow-1">
                <!-- Issues -->
                {ISSUES}
                <div class="container pt-4">
                    <div class="row">
                        {ERROR}
                        {NOTICE}
                        {SUCCESS}
                        {INFO}
                    </div>
                </div>
                {/ISSUES}
                {PWA}
                <!-- Main Page Content -->
                {CONTENT}
            </div>
            <!-- Footer -->
            {FOOT}
        </div>
        <!-- User Pref to control Dark mode across frontend and backend -->
        <input type="hidden" name="dark-mode-pref" id="dark-mode-pref" value="{DARK_MODE_SETTING}">
        <!-- Bootstrap core JavaScript and jquery -->
        <script crossorigin="anonymous" src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.6/dist/umd/popper.min.js"></script>
        <script crossorigin="anonymous" src="{BOOTSTRAP_CDN}js/bootstrap.min.js"></script>
        <!-- Custom javascript for this template -->
        {TEMPLATE_JS_INCLUDES}
    </body>
</html>
